Перейти к содержанию
Форум русской поддержки продукции Synology

Рекомендованные сообщения

Хочу установить серверную часть системы Pilot-ICE на офисный DS218.

Сервер работает на платформе .NET5

Ставил и 5 и 6 версии. Не работает (см.скрин)

Кроме .NET5 там еще требуются другие библиотеки, в зависимости от дистрибутива:

krb5-libs
libicu
openssl-libs
zlib
glibc

Инструкция по установке на линукс тут:

https://help.pilotems.com/ru/Content/Ustanovka_Pilot-Server_na_Linux.htm?tocpath=Установка и настройка|Установка и настройка Pilot-Server на Linux|_____0

 

Но Synology DSM это не линукс как таковой, а WebOS, и к какому дистрибутиву она ближе всего я не разобрался, т.е. какие библиотеки нужно поставить и где их взять.

Кто-то сталкивался с подобной задачей?

 

pilot.png

Ссылка на сообщение
Поделиться на другие сайты
19 часов назад, Александр С. сказал:

т.е. какие библиотеки нужно поставить и где их взять.

файл у вас под какую платформу? (железо)

Ссылка на сообщение
Поделиться на другие сайты
В 06.05.2022 в 15:14, Александр С. сказал:

я не разобрался, т.е. какие библиотеки нужно поставить

Не надо ставить в систему ничего, что не одобрено самим производителем. Для этого всего есть Докер. Ставьте туда.

Ссылка на сообщение
Поделиться на другие сайты
В 07.05.2022 в 10:37, freewind сказал:

файл у вас под какую платформу? (железо)

Разработчик ответил, что платформа универсальна. Нужен пакет библиотек .NET5 и то что в списке у них в справке приведено

OpenSuse libicu
# zypper install libicu
CentOS krb5-libs
libicu
openssl-libs
zlib
# yum install krb5-libs libicu openssl-libs zlib

Разговор с разработчиком я начал как раз с того, что попросил их скомпилировать сервер для ARMv8 (то что у нас в DS218), полагая, что у них код скомпилирован под х86. Но они ответили то, что я привел выше.

Может я прав был, может они...

Ссылка на сообщение
Поделиться на другие сайты
В 08.05.2022 в 00:35, Siroc-co сказал:

Не надо ставить в систему ничего, что не одобрено самим производителем. Для этого всего есть Докер. Ставьте туда.

У меня DS218 с процессором Realtek RTD1296 SoC и прошивкой DSM 7.0.1-42218 Update 3. Для этой модели официально докера нет. Скачивание и попытка установки вручную успеха не имеет. Свежие версии пакета ругаются что прошивка не свежая. Более старые - выдает сообщение о том, что пакет несовместим (с прошивкой или с процессором - не понятно).

Ссылка на сообщение
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в этой теме...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

Загрузка...
×
×
  • Создать...